Package de.willuhn.jameica.hbci.util

# Enum Class DateParser.DatePattern.Flag

java.lang.Object
java.lang.Enum<DateParser.DatePattern.Flag>
de.willuhn.jameica.hbci.util.DateParser.DatePattern.Flag

All Implemented Interfaces:
  `Serializable`, `Comparable<DateParser.DatePattern.Flag>`, `Constable`

Enclosing class:
  `DateParser.DatePattern`

public static enum DateParser.DatePattern.Flag extends Enum<DateParser.DatePattern.Flag>
Die Flags.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NO_DAY`
Datum hat keines Tages-Angabe.
`NO_WHITESPACE`
Alle Whitespaces entfernen - auch mittendrin.

## Method Summary

Modifier and Type
Method
Description
`static DateParser.DatePattern.Flag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DateParser.DatePattern.Flag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NO_DAY

public static final DateParser.DatePattern.Flag NO_DAY
Datum hat keines Tages-Angabe.

### NO_WHITESPACE

public static final DateParser.DatePattern.Flag NO_WHITESPACE
Alle Whitespaces entfernen - auch mittendrin.

## Method Details

### values

public static DateParser.DatePattern.Flag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DateParser.DatePattern.Flag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null